{% macro blockImage(title = "Image Title", imageURL = "https://david-ledoux.fr/wp-content/uploads/sites/7/2017/10/DAVIDLEDOUX11.jpg") %}
<article class="grid--item-content">

	<img src="{{ imageURL }}" alt="{{ title }}">

	<h2 class="grid--item-title">{{ title | safe }}</h2>

	<svg class="grid--item-icon" xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20">
		<rect class="bar-horizontal" x="0" y="9" width="20" height="1"/>
		<rect class="bar-vertical" x="0" y="9" width="20" height="1"/>
	</svg>

</article>
{% endmacro %}

{% macro blockVideo(title = "Video Title", videoURL = "https://david-ledoux.fr/wp-content/uploads/sites/7/2018/08/Chanel-moving.mp4", videoWidth = "700", videoHeight = "950", thumbClass = "" ) %}
<article class="grid--item-content">

	<div class="video--wrapper {{ thumbClass }}" data-video-url="{{ videoURL }}" data-video-width="{{ videoWidth }}" data-video-height="{{ videoHeight }}">
		<div class="video"></div>
	</div>

	<h2 class="grid--item-title">{{ title | safe }}</h2>

	<svg class="grid--item-icon" xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20">
		<rect class="bar-horizontal" fill="#FFFFFF" x="0" y="9" width="20" height="1"/>
		<rect class="bar-vertical" fill="#FFFFFF" x="0" y="9" width="20" height="1"/>
	</svg>

</article>
{% endmacro %}


{% macro blockVideoNew(title = "Video Title", videoURL = "https://david-ledoux.fr/wp-content/uploads/sites/7/2018/08/Chanel-moving.mp4", videoWidth = "700", videoHeight = "950", thumbClass = "" ) %}
<article class="grid--item-content">

	<div class="video--wrapper {{ thumbClass }}" data-video-width="{{ videoWidth }}" data-video-height="{{ videoHeight }}">
		<video id="my-video" class="video-js" preload="auto">
			<source src="{{ videoURL }}" type="video/mp4">
			<!--<source src="MY_VIDEO.webm" type="video/webm">-->
		</video>
	</div>

	<h2 class="grid--item-title">{{ title | safe }}</h2>

	<svg class="grid--item-icon" xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20">
		<rect class="bar-horizontal" fill="#FFFFFF" x="0" y="9" width="20" height="1"/>
		<rect class="bar-vertical" fill="#FFFFFF" x="0" y="9" width="20" height="1"/>
	</svg>

</article>
{% endmacro %}